import 'package:flutter/material.dart';
import 'package:krow/core/presentation/gen/assets.gen.dart';

class ContactIconButton extends StatelessWidget {
  const ContactIconButton({
    super.key,
    required this.icon,
    required this.onTap,
  });

  final SvgGenImage icon;
  final void Function() onTap;

  @override
  Widget build(BuildContext context) {
    return Material(
      type: MaterialType.transparency,
      child: InkWell(
        borderRadius: BorderRadius.circular(24.0),
        onTap: onTap,
        child: icon.svg(),
      ),
    );
  }
}
